Norse Polytheistic Mythology

    require-remote

    1.0.1 • Public • Published

    require-remote

    Require modules from any URL

    Install

    npm install require-remote

    Usage

    const foo = await require('require-remote')('http://module.com')
    console.log(typeof foo) //=> 'function'

    Right now it doesn't support modules requiring other modules. So if your remote module does a require() it will fail.

    Contribute

    Feel free to open an issue or a PR.

    License

    MIT license

    Author

    me
    © 2017 Pablo Varela

    Keywords

    none

    Install

    npm i require-remote

    DownloadsWeekly Downloads

    7

    Version

    1.0.1

    License

    MIT

    Last publish

    Collaborators

    • pablopunk